Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network76.3.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
76.3.0.0
Broadcast address
76.3.127.255
First usable
76.3.0.1
Last usable
76.3.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 4C030000 · Integer 1275265024 to 1275297791
Reverse DNS zones
0.3.76.in-addr.arpa
1.3.76.in-addr.arpa
2.3.76.in-addr.arpa
3.3.76.in-addr.arpa
4.3.76.in-addr.arpa
5.3.76.in-addr.arpa
6.3.76.in-addr.arpa
7.3.76.in-addr.arpa
8.3.76.in-addr.arpa
9.3.76.in-addr.arpa
10.3.76.in-addr.arpa
11.3.76.in-addr.arpa
12.3.76.in-addr.arpa
13.3.76.in-addr.arpa
14.3.76.in-addr.arpa
15.3.76.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001100.00000011.00000000.0000000076.3.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01001100.00000011.00000000.0000000076.3.0.0
Broadcast01001100.00000011.01111111.1111111176.3.127.255
Split into smaller subnets/25

76.3.0.0/17 makes 256 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
176.3.0.0/2576.3.0.1 to 76.3.0.12676.3.0.127126
276.3.0.128/2576.3.0.129 to 76.3.0.25476.3.0.255126
376.3.1.0/2576.3.1.1 to 76.3.1.12676.3.1.127126
476.3.1.128/2576.3.1.129 to 76.3.1.25476.3.1.255126
576.3.2.0/2576.3.2.1 to 76.3.2.12676.3.2.127126
676.3.2.128/2576.3.2.129 to 76.3.2.25476.3.2.255126
776.3.3.0/2576.3.3.1 to 76.3.3.12676.3.3.127126
876.3.3.128/2576.3.3.129 to 76.3.3.25476.3.3.255126
976.3.4.0/2576.3.4.1 to 76.3.4.12676.3.4.127126
1076.3.4.128/2576.3.4.129 to 76.3.4.25476.3.4.255126
1176.3.5.0/2576.3.5.1 to 76.3.5.12676.3.5.127126
1276.3.5.128/2576.3.5.129 to 76.3.5.25476.3.5.255126
1376.3.6.0/2576.3.6.1 to 76.3.6.12676.3.6.127126
1476.3.6.128/2576.3.6.129 to 76.3.6.25476.3.6.255126
1576.3.7.0/2576.3.7.1 to 76.3.7.12676.3.7.127126
1676.3.7.128/2576.3.7.129 to 76.3.7.25476.3.7.255126
1776.3.8.0/2576.3.8.1 to 76.3.8.12676.3.8.127126
1876.3.8.128/2576.3.8.129 to 76.3.8.25476.3.8.255126
1976.3.9.0/2576.3.9.1 to 76.3.9.12676.3.9.127126
2076.3.9.128/2576.3.9.129 to 76.3.9.25476.3.9.255126
2176.3.10.0/2576.3.10.1 to 76.3.10.12676.3.10.127126
2276.3.10.128/2576.3.10.129 to 76.3.10.25476.3.10.255126
2376.3.11.0/2576.3.11.1 to 76.3.11.12676.3.11.127126
2476.3.11.128/2576.3.11.129 to 76.3.11.25476.3.11.255126
2576.3.12.0/2576.3.12.1 to 76.3.12.12676.3.12.127126
2676.3.12.128/2576.3.12.129 to 76.3.12.25476.3.12.255126
2776.3.13.0/2576.3.13.1 to 76.3.13.12676.3.13.127126
2876.3.13.128/2576.3.13.129 to 76.3.13.25476.3.13.255126
2976.3.14.0/2576.3.14.1 to 76.3.14.12676.3.14.127126
3076.3.14.128/2576.3.14.129 to 76.3.14.25476.3.14.255126
3176.3.15.0/2576.3.15.1 to 76.3.15.12676.3.15.127126
3276.3.15.128/2576.3.15.129 to 76.3.15.25476.3.15.255126
3376.3.16.0/2576.3.16.1 to 76.3.16.12676.3.16.127126
3476.3.16.128/2576.3.16.129 to 76.3.16.25476.3.16.255126
3576.3.17.0/2576.3.17.1 to 76.3.17.12676.3.17.127126
3676.3.17.128/2576.3.17.129 to 76.3.17.25476.3.17.255126
3776.3.18.0/2576.3.18.1 to 76.3.18.12676.3.18.127126
3876.3.18.128/2576.3.18.129 to 76.3.18.25476.3.18.255126
3976.3.19.0/2576.3.19.1 to 76.3.19.12676.3.19.127126
4076.3.19.128/2576.3.19.129 to 76.3.19.25476.3.19.255126
4176.3.20.0/2576.3.20.1 to 76.3.20.12676.3.20.127126
4276.3.20.128/2576.3.20.129 to 76.3.20.25476.3.20.255126
4376.3.21.0/2576.3.21.1 to 76.3.21.12676.3.21.127126
4476.3.21.128/2576.3.21.129 to 76.3.21.25476.3.21.255126
4576.3.22.0/2576.3.22.1 to 76.3.22.12676.3.22.127126
4676.3.22.128/2576.3.22.129 to 76.3.22.25476.3.22.255126
4776.3.23.0/2576.3.23.1 to 76.3.23.12676.3.23.127126
4876.3.23.128/2576.3.23.129 to 76.3.23.25476.3.23.255126
4976.3.24.0/2576.3.24.1 to 76.3.24.12676.3.24.127126
5076.3.24.128/2576.3.24.129 to 76.3.24.25476.3.24.255126
5176.3.25.0/2576.3.25.1 to 76.3.25.12676.3.25.127126
5276.3.25.128/2576.3.25.129 to 76.3.25.25476.3.25.255126
5376.3.26.0/2576.3.26.1 to 76.3.26.12676.3.26.127126
5476.3.26.128/2576.3.26.129 to 76.3.26.25476.3.26.255126
5576.3.27.0/2576.3.27.1 to 76.3.27.12676.3.27.127126
5676.3.27.128/2576.3.27.129 to 76.3.27.25476.3.27.255126
5776.3.28.0/2576.3.28.1 to 76.3.28.12676.3.28.127126
5876.3.28.128/2576.3.28.129 to 76.3.28.25476.3.28.255126
5976.3.29.0/2576.3.29.1 to 76.3.29.12676.3.29.127126
6076.3.29.128/2576.3.29.129 to 76.3.29.25476.3.29.255126
6176.3.30.0/2576.3.30.1 to 76.3.30.12676.3.30.127126
6276.3.30.128/2576.3.30.129 to 76.3.30.25476.3.30.255126
6376.3.31.0/2576.3.31.1 to 76.3.31.12676.3.31.127126
6476.3.31.128/2576.3.31.129 to 76.3.31.25476.3.31.255126
6576.3.32.0/2576.3.32.1 to 76.3.32.12676.3.32.127126
6676.3.32.128/2576.3.32.129 to 76.3.32.25476.3.32.255126
6776.3.33.0/2576.3.33.1 to 76.3.33.12676.3.33.127126
6876.3.33.128/2576.3.33.129 to 76.3.33.25476.3.33.255126
6976.3.34.0/2576.3.34.1 to 76.3.34.12676.3.34.127126
7076.3.34.128/2576.3.34.129 to 76.3.34.25476.3.34.255126
7176.3.35.0/2576.3.35.1 to 76.3.35.12676.3.35.127126
7276.3.35.128/2576.3.35.129 to 76.3.35.25476.3.35.255126
7376.3.36.0/2576.3.36.1 to 76.3.36.12676.3.36.127126
7476.3.36.128/2576.3.36.129 to 76.3.36.25476.3.36.255126
7576.3.37.0/2576.3.37.1 to 76.3.37.12676.3.37.127126
7676.3.37.128/2576.3.37.129 to 76.3.37.25476.3.37.255126
7776.3.38.0/2576.3.38.1 to 76.3.38.12676.3.38.127126
7876.3.38.128/2576.3.38.129 to 76.3.38.25476.3.38.255126
7976.3.39.0/2576.3.39.1 to 76.3.39.12676.3.39.127126
8076.3.39.128/2576.3.39.129 to 76.3.39.25476.3.39.255126
8176.3.40.0/2576.3.40.1 to 76.3.40.12676.3.40.127126
8276.3.40.128/2576.3.40.129 to 76.3.40.25476.3.40.255126
8376.3.41.0/2576.3.41.1 to 76.3.41.12676.3.41.127126
8476.3.41.128/2576.3.41.129 to 76.3.41.25476.3.41.255126
8576.3.42.0/2576.3.42.1 to 76.3.42.12676.3.42.127126
8676.3.42.128/2576.3.42.129 to 76.3.42.25476.3.42.255126
8776.3.43.0/2576.3.43.1 to 76.3.43.12676.3.43.127126
8876.3.43.128/2576.3.43.129 to 76.3.43.25476.3.43.255126
8976.3.44.0/2576.3.44.1 to 76.3.44.12676.3.44.127126
9076.3.44.128/2576.3.44.129 to 76.3.44.25476.3.44.255126
9176.3.45.0/2576.3.45.1 to 76.3.45.12676.3.45.127126
9276.3.45.128/2576.3.45.129 to 76.3.45.25476.3.45.255126
9376.3.46.0/2576.3.46.1 to 76.3.46.12676.3.46.127126
9476.3.46.128/2576.3.46.129 to 76.3.46.25476.3.46.255126
9576.3.47.0/2576.3.47.1 to 76.3.47.12676.3.47.127126
9676.3.47.128/2576.3.47.129 to 76.3.47.25476.3.47.255126
9776.3.48.0/2576.3.48.1 to 76.3.48.12676.3.48.127126
9876.3.48.128/2576.3.48.129 to 76.3.48.25476.3.48.255126
9976.3.49.0/2576.3.49.1 to 76.3.49.12676.3.49.127126
10076.3.49.128/2576.3.49.129 to 76.3.49.25476.3.49.255126
10176.3.50.0/2576.3.50.1 to 76.3.50.12676.3.50.127126
10276.3.50.128/2576.3.50.129 to 76.3.50.25476.3.50.255126
10376.3.51.0/2576.3.51.1 to 76.3.51.12676.3.51.127126
10476.3.51.128/2576.3.51.129 to 76.3.51.25476.3.51.255126
10576.3.52.0/2576.3.52.1 to 76.3.52.12676.3.52.127126
10676.3.52.128/2576.3.52.129 to 76.3.52.25476.3.52.255126
10776.3.53.0/2576.3.53.1 to 76.3.53.12676.3.53.127126
10876.3.53.128/2576.3.53.129 to 76.3.53.25476.3.53.255126
10976.3.54.0/2576.3.54.1 to 76.3.54.12676.3.54.127126
11076.3.54.128/2576.3.54.129 to 76.3.54.25476.3.54.255126
11176.3.55.0/2576.3.55.1 to 76.3.55.12676.3.55.127126
11276.3.55.128/2576.3.55.129 to 76.3.55.25476.3.55.255126
11376.3.56.0/2576.3.56.1 to 76.3.56.12676.3.56.127126
11476.3.56.128/2576.3.56.129 to 76.3.56.25476.3.56.255126
11576.3.57.0/2576.3.57.1 to 76.3.57.12676.3.57.127126
11676.3.57.128/2576.3.57.129 to 76.3.57.25476.3.57.255126
11776.3.58.0/2576.3.58.1 to 76.3.58.12676.3.58.127126
11876.3.58.128/2576.3.58.129 to 76.3.58.25476.3.58.255126
11976.3.59.0/2576.3.59.1 to 76.3.59.12676.3.59.127126
12076.3.59.128/2576.3.59.129 to 76.3.59.25476.3.59.255126
12176.3.60.0/2576.3.60.1 to 76.3.60.12676.3.60.127126
12276.3.60.128/2576.3.60.129 to 76.3.60.25476.3.60.255126
12376.3.61.0/2576.3.61.1 to 76.3.61.12676.3.61.127126
12476.3.61.128/2576.3.61.129 to 76.3.61.25476.3.61.255126
12576.3.62.0/2576.3.62.1 to 76.3.62.12676.3.62.127126
12676.3.62.128/2576.3.62.129 to 76.3.62.25476.3.62.255126
12776.3.63.0/2576.3.63.1 to 76.3.63.12676.3.63.127126
12876.3.63.128/2576.3.63.129 to 76.3.63.25476.3.63.255126
12976.3.64.0/2576.3.64.1 to 76.3.64.12676.3.64.127126
13076.3.64.128/2576.3.64.129 to 76.3.64.25476.3.64.255126
13176.3.65.0/2576.3.65.1 to 76.3.65.12676.3.65.127126
13276.3.65.128/2576.3.65.129 to 76.3.65.25476.3.65.255126
13376.3.66.0/2576.3.66.1 to 76.3.66.12676.3.66.127126
13476.3.66.128/2576.3.66.129 to 76.3.66.25476.3.66.255126
13576.3.67.0/2576.3.67.1 to 76.3.67.12676.3.67.127126
13676.3.67.128/2576.3.67.129 to 76.3.67.25476.3.67.255126
13776.3.68.0/2576.3.68.1 to 76.3.68.12676.3.68.127126
13876.3.68.128/2576.3.68.129 to 76.3.68.25476.3.68.255126
13976.3.69.0/2576.3.69.1 to 76.3.69.12676.3.69.127126
14076.3.69.128/2576.3.69.129 to 76.3.69.25476.3.69.255126
14176.3.70.0/2576.3.70.1 to 76.3.70.12676.3.70.127126
14276.3.70.128/2576.3.70.129 to 76.3.70.25476.3.70.255126
14376.3.71.0/2576.3.71.1 to 76.3.71.12676.3.71.127126
14476.3.71.128/2576.3.71.129 to 76.3.71.25476.3.71.255126
14576.3.72.0/2576.3.72.1 to 76.3.72.12676.3.72.127126
14676.3.72.128/2576.3.72.129 to 76.3.72.25476.3.72.255126
14776.3.73.0/2576.3.73.1 to 76.3.73.12676.3.73.127126
14876.3.73.128/2576.3.73.129 to 76.3.73.25476.3.73.255126
14976.3.74.0/2576.3.74.1 to 76.3.74.12676.3.74.127126
15076.3.74.128/2576.3.74.129 to 76.3.74.25476.3.74.255126
15176.3.75.0/2576.3.75.1 to 76.3.75.12676.3.75.127126
15276.3.75.128/2576.3.75.129 to 76.3.75.25476.3.75.255126
15376.3.76.0/2576.3.76.1 to 76.3.76.12676.3.76.127126
15476.3.76.128/2576.3.76.129 to 76.3.76.25476.3.76.255126
15576.3.77.0/2576.3.77.1 to 76.3.77.12676.3.77.127126
15676.3.77.128/2576.3.77.129 to 76.3.77.25476.3.77.255126
15776.3.78.0/2576.3.78.1 to 76.3.78.12676.3.78.127126
15876.3.78.128/2576.3.78.129 to 76.3.78.25476.3.78.255126
15976.3.79.0/2576.3.79.1 to 76.3.79.12676.3.79.127126
16076.3.79.128/2576.3.79.129 to 76.3.79.25476.3.79.255126
16176.3.80.0/2576.3.80.1 to 76.3.80.12676.3.80.127126
16276.3.80.128/2576.3.80.129 to 76.3.80.25476.3.80.255126
16376.3.81.0/2576.3.81.1 to 76.3.81.12676.3.81.127126
16476.3.81.128/2576.3.81.129 to 76.3.81.25476.3.81.255126
16576.3.82.0/2576.3.82.1 to 76.3.82.12676.3.82.127126
16676.3.82.128/2576.3.82.129 to 76.3.82.25476.3.82.255126
16776.3.83.0/2576.3.83.1 to 76.3.83.12676.3.83.127126
16876.3.83.128/2576.3.83.129 to 76.3.83.25476.3.83.255126
16976.3.84.0/2576.3.84.1 to 76.3.84.12676.3.84.127126
17076.3.84.128/2576.3.84.129 to 76.3.84.25476.3.84.255126
17176.3.85.0/2576.3.85.1 to 76.3.85.12676.3.85.127126
17276.3.85.128/2576.3.85.129 to 76.3.85.25476.3.85.255126
17376.3.86.0/2576.3.86.1 to 76.3.86.12676.3.86.127126
17476.3.86.128/2576.3.86.129 to 76.3.86.25476.3.86.255126
17576.3.87.0/2576.3.87.1 to 76.3.87.12676.3.87.127126
17676.3.87.128/2576.3.87.129 to 76.3.87.25476.3.87.255126
17776.3.88.0/2576.3.88.1 to 76.3.88.12676.3.88.127126
17876.3.88.128/2576.3.88.129 to 76.3.88.25476.3.88.255126
17976.3.89.0/2576.3.89.1 to 76.3.89.12676.3.89.127126
18076.3.89.128/2576.3.89.129 to 76.3.89.25476.3.89.255126
18176.3.90.0/2576.3.90.1 to 76.3.90.12676.3.90.127126
18276.3.90.128/2576.3.90.129 to 76.3.90.25476.3.90.255126
18376.3.91.0/2576.3.91.1 to 76.3.91.12676.3.91.127126
18476.3.91.128/2576.3.91.129 to 76.3.91.25476.3.91.255126
18576.3.92.0/2576.3.92.1 to 76.3.92.12676.3.92.127126
18676.3.92.128/2576.3.92.129 to 76.3.92.25476.3.92.255126
18776.3.93.0/2576.3.93.1 to 76.3.93.12676.3.93.127126
18876.3.93.128/2576.3.93.129 to 76.3.93.25476.3.93.255126
18976.3.94.0/2576.3.94.1 to 76.3.94.12676.3.94.127126
19076.3.94.128/2576.3.94.129 to 76.3.94.25476.3.94.255126
19176.3.95.0/2576.3.95.1 to 76.3.95.12676.3.95.127126
19276.3.95.128/2576.3.95.129 to 76.3.95.25476.3.95.255126
19376.3.96.0/2576.3.96.1 to 76.3.96.12676.3.96.127126
19476.3.96.128/2576.3.96.129 to 76.3.96.25476.3.96.255126
19576.3.97.0/2576.3.97.1 to 76.3.97.12676.3.97.127126
19676.3.97.128/2576.3.97.129 to 76.3.97.25476.3.97.255126
19776.3.98.0/2576.3.98.1 to 76.3.98.12676.3.98.127126
19876.3.98.128/2576.3.98.129 to 76.3.98.25476.3.98.255126
19976.3.99.0/2576.3.99.1 to 76.3.99.12676.3.99.127126
20076.3.99.128/2576.3.99.129 to 76.3.99.25476.3.99.255126
20176.3.100.0/2576.3.100.1 to 76.3.100.12676.3.100.127126
20276.3.100.128/2576.3.100.129 to 76.3.100.25476.3.100.255126
20376.3.101.0/2576.3.101.1 to 76.3.101.12676.3.101.127126
20476.3.101.128/2576.3.101.129 to 76.3.101.25476.3.101.255126
20576.3.102.0/2576.3.102.1 to 76.3.102.12676.3.102.127126
20676.3.102.128/2576.3.102.129 to 76.3.102.25476.3.102.255126
20776.3.103.0/2576.3.103.1 to 76.3.103.12676.3.103.127126
20876.3.103.128/2576.3.103.129 to 76.3.103.25476.3.103.255126
20976.3.104.0/2576.3.104.1 to 76.3.104.12676.3.104.127126
21076.3.104.128/2576.3.104.129 to 76.3.104.25476.3.104.255126
21176.3.105.0/2576.3.105.1 to 76.3.105.12676.3.105.127126
21276.3.105.128/2576.3.105.129 to 76.3.105.25476.3.105.255126
21376.3.106.0/2576.3.106.1 to 76.3.106.12676.3.106.127126
21476.3.106.128/2576.3.106.129 to 76.3.106.25476.3.106.255126
21576.3.107.0/2576.3.107.1 to 76.3.107.12676.3.107.127126
21676.3.107.128/2576.3.107.129 to 76.3.107.25476.3.107.255126
21776.3.108.0/2576.3.108.1 to 76.3.108.12676.3.108.127126
21876.3.108.128/2576.3.108.129 to 76.3.108.25476.3.108.255126
21976.3.109.0/2576.3.109.1 to 76.3.109.12676.3.109.127126
22076.3.109.128/2576.3.109.129 to 76.3.109.25476.3.109.255126
22176.3.110.0/2576.3.110.1 to 76.3.110.12676.3.110.127126
22276.3.110.128/2576.3.110.129 to 76.3.110.25476.3.110.255126
22376.3.111.0/2576.3.111.1 to 76.3.111.12676.3.111.127126
22476.3.111.128/2576.3.111.129 to 76.3.111.25476.3.111.255126
22576.3.112.0/2576.3.112.1 to 76.3.112.12676.3.112.127126
22676.3.112.128/2576.3.112.129 to 76.3.112.25476.3.112.255126
22776.3.113.0/2576.3.113.1 to 76.3.113.12676.3.113.127126
22876.3.113.128/2576.3.113.129 to 76.3.113.25476.3.113.255126
22976.3.114.0/2576.3.114.1 to 76.3.114.12676.3.114.127126
23076.3.114.128/2576.3.114.129 to 76.3.114.25476.3.114.255126
23176.3.115.0/2576.3.115.1 to 76.3.115.12676.3.115.127126
23276.3.115.128/2576.3.115.129 to 76.3.115.25476.3.115.255126
23376.3.116.0/2576.3.116.1 to 76.3.116.12676.3.116.127126
23476.3.116.128/2576.3.116.129 to 76.3.116.25476.3.116.255126
23576.3.117.0/2576.3.117.1 to 76.3.117.12676.3.117.127126
23676.3.117.128/2576.3.117.129 to 76.3.117.25476.3.117.255126
23776.3.118.0/2576.3.118.1 to 76.3.118.12676.3.118.127126
23876.3.118.128/2576.3.118.129 to 76.3.118.25476.3.118.255126
23976.3.119.0/2576.3.119.1 to 76.3.119.12676.3.119.127126
24076.3.119.128/2576.3.119.129 to 76.3.119.25476.3.119.255126
24176.3.120.0/2576.3.120.1 to 76.3.120.12676.3.120.127126
24276.3.120.128/2576.3.120.129 to 76.3.120.25476.3.120.255126
24376.3.121.0/2576.3.121.1 to 76.3.121.12676.3.121.127126
24476.3.121.128/2576.3.121.129 to 76.3.121.25476.3.121.255126
24576.3.122.0/2576.3.122.1 to 76.3.122.12676.3.122.127126
24676.3.122.128/2576.3.122.129 to 76.3.122.25476.3.122.255126
24776.3.123.0/2576.3.123.1 to 76.3.123.12676.3.123.127126
24876.3.123.128/2576.3.123.129 to 76.3.123.25476.3.123.255126
24976.3.124.0/2576.3.124.1 to 76.3.124.12676.3.124.127126
25076.3.124.128/2576.3.124.129 to 76.3.124.25476.3.124.255126
25176.3.125.0/2576.3.125.1 to 76.3.125.12676.3.125.127126
25276.3.125.128/2576.3.125.129 to 76.3.125.25476.3.125.255126
25376.3.126.0/2576.3.126.1 to 76.3.126.12676.3.126.127126
25476.3.126.128/2576.3.126.129 to 76.3.126.25476.3.126.255126
25576.3.127.0/2576.3.127.1 to 76.3.127.12676.3.127.127126
25676.3.127.128/2576.3.127.129 to 76.3.127.25476.3.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses